<?php

namespace App\JsonRpc;
interface WebsiteServiceInterface
{
    /**
     * @param array $data
     */
    public function getWebsitetList(string $keyword,int $page,int $pageSize): array;

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id,array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id): array;

    /**
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id): array;

    public function getWebsiteColumn(array $data): array;
    public function getWebsiteColumnList(string $keyword,int $page,int $pageSize): array;
    public function createWebsiteColumn(array $data): array;
    public function updateWebsiteColumn(int $id,array $data): array;
    public function getWebsiteRoleList(string $keyword,int $page,int $pageSize,int $websiteId): array;
    public function createWebsiteRole(array $data): array;
    public function updateWebsiteRole(int $id,array $data): array;
    public function delWebsiteRole(int $id): array;
    public function getWebsiteRoleUserList(string $keyword,int $page,int $pageSize,int $websiteId,int $roleId): array;
    public function createWebsiteRoleUser(array $data): array;
    public function updateWebsiteRoleUser(int $id,array $data): array;
    public function delWebsiteRoleUser(int $id): array;
    public function getWebsiteId(array $data): array;
    public function getWebsiteCategory(array $data): array;

}
